<!DOCTYPE html>
<html>
<head>
	<title>gstlal CBC Latency</title>
	<link rel="stylesheet" type="text/css" href="gstlal.css">
	<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
	<script type="text/javascript" src="jquery-3.1.1.min.js"></script>
	<script type="text/javascript" src="gstlal.js"></script>
	<script type="text/javascript">
	google.charts.load('current', {'packages':['corechart']});
	google.charts.setOnLoadCallback(drawLatencyStatusByNodes);
	google.charts.setOnLoadCallback(drawLatencyHistory);
	google.charts.setOnLoadCallback(drawLatencyGauge);

	google.charts.setOnLoadCallback(drawSNRStatusByNodes);
	google.charts.setOnLoadCallback(drawSNRHistory);

	google.charts.setOnLoadCallback(drawHorizon);
	google.charts.setOnLoadCallback(drawNoise);
	google.charts.setOnLoadCallback(drawPSD);
	google.charts.setOnLoadCallback(drawNoiseGauge);
	google.charts.setOnLoadCallback(drawRangeGauge);
	</script>
</head>

<body>
	<div class=topbox> 
		<table>
		<tr><td><img width=100px src="http://www.lsc-group.phys.uwm.edu/cgit/gstlal/plain/gstlal/doc/gstlal.png"></td>
		    <td><ul class="tab">
		      <!-- <li><a href="#ldg" class="tablinks" onclick="openGstlalTab(event, 'LDG')">LDG</a></li> -->
		      <li><a href="#dashboard" class="tablinks" onclick="openGstlalTab(event, 'Dashboard')">Dashboard</a></li>
		      <!-- <li><a href="#events" class="tablinks" onclick="openGstlalTab(event, 'Events')">Events</a></li> -->
		      <li><a href="#detchar" class="tablinks" onclick="openGstlalTab(event, 'Detchar')">Detchar</a></li>
		      <li><a href="#logs" class="tablinks" onclick="openGstlalTab(event, 'Logs')">Logs</a></li>
		      <li><a href="#noise" class="tablinks" onclick="openGstlalTab(event, 'Noise')">Noise</a></li>
		      <li><a href="#sens" class="tablinks" onclick="openGstlalTab(event, 'Sensitivity')">Sensitivity</a></li>
		      <li><a href="#latency" class="tablinks" onclick="openGstlalTab(event, 'Latency')">Latency</a></li>
		      <li><a href="#snr" class="tablinks" onclick="openGstlalTab(event, 'SNR')">SNR</a></li>
		    </ul></td>
                    <td>
                      <form>
		        <table>
				<tr><td><input type="text" name="GPS" value=""><input type="submit" value="GPS"></td><tr>
				<tr><td><input type="text" name="Duration" value=""><input type="submit" value="Duration"></td><tr>
			</table>
		      </form>
		    </td>
		<td><div id="clock"></div></td>
		</tr>
		</table>
	</div>
	<br>

	<!--
	<div id="LDG" class="tabcontent">
		<iframe src="https://monitor.ligo.org/gwstatus" width=100% height=675></iframe>
	</div>
	-->

	<div id="Dashboard" class="tabcontent">
		<div id="noise_gauge"></div>
		<div id="range_gauge"></div>
		<div id="latency_gauge_wrapper"></div>
	</div>

	<div id="Logs" class="tabcontent">
		<table width=100%>
			<tr><td><iframe src="https://alog.ligo-wa.caltech.edu/aLOG/iframeSrc.php?authExpired=&content=1&step=&callRep=&startPage=&preview=&printCall=&callUser=&addCommentTo=&callHelp=&callFileType=#&reportSection=8&reportTask=General" width=100% height=675></iframe></td>
			<td><iframe src="https://alog.ligo-la.caltech.edu/aLOG/iframeSrc.php?authExpired=&content=1&step=&callRep=&startPage=&preview=&printCall=&callUser=&addCommentTo=&callHelp=&callFileType=#&reportSection=6&reportTask=General" width=100% height=675></iframe></td></tr>
		</table>
	</div>

	<div id="Detchar" class="tabcontent">
		<iframe src="https://ldas-jobs.ligo.caltech.edu/~detchar/summary/" width=100% height=675></iframe>
	</div>

	<!--
	<div id="Events" class="tabcontent">
		<iframe src="https://gracedb.ligo.org/latest/?query=gstlal" width=100% height=675></iframe>
	</div>
	-->

	<div id="Noise" class="tabcontent">
		<div id="noise"></div>
	</div>

	<div id="Sensitivity" class="tabcontent">
		<div id="horizon"></div>
		<div id="psd"></div>
	</div>

	<div id="Latency" class="tabcontent">
		<div id="latency_status_by_nodes_wrapper"></div>
		<div id="latency_history_wrapper"></div>
	</div>

	<div id="SNR" class="tabcontent">
		<div id="snr_status_by_nodes_wrapper"></div>
		<div id="snr_history_wrapper"></div>
	</div>
</body>
</html>
